#################################################################################################
#
# Dynamic Analysis
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

###################################################################################
#                               Dynamic Analysis                                  #
###################################################################################
wipeAnalysis
loadConst -time 0.0
source recorder.tcl

set outFile century_comp1.tcl
set Nsteps 1000
set dt 0.02; 
set GMfatt [expr 3.8]; # Data in inch

set  gamma 0.5
set beta 0.25;    
set alphaM 0.33;   # 5% damping Mass proportional ao 
set betaK 0.006;   # Stiffness proportional a1
set betaKcomm 0
set betaKinit 0 

system UmfPack
constraints Plain

#test NormDispIncr 1.0e-2 200 0; 
#test NormDispIncr 1.0e-2 200 0; 
test EnergyIncr 1.0e-3 10000;
#algorithm Newton 
algorithm NewtonLineSearch; # BETTER
#algorithm KrylovNewton
#algorithm ModifiedNewton -initial
#algorithm Broyden 200
numberer RCM
integrator Newmark $gamma $beta $alphaM $betaK $betaKcomm $betaKinit; 
analysis VariableTransient

set Gaccel "Series -dt $dt -filePath $outFile -factor $GMfatt"; # time series information
pattern UniformExcitation 2 1 -accel $Gaccel; # create uniform excitation
#analyze $Nsteps $dt 0.001 0.005 10000;

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
set fileId [open eigen_value.out "w"];
source FileOpen.tcl

for {set i 1} {$i <= $Nsteps} {incr i 1} {

analyze 1 $dt 0.001 0.005 10000;
set omegasqr [eigen 3];

#set lambda1  [eigen 1];
# set t1 [expr 2*3.14/(pow($lambda1,0.5))]
#puts $t1
#puts $fileId $t1

puts $fileId $omegasqr
source EigenV1.tcl
source EigenV2.tcl
source EigenV3.tcl
source Gama.tcl
source Period.tcl
source EVF.tcl

}
close $fileId;
source FileClose.tcl



####################################################################################
#                                  End of Analysis                                 #
####################################################################################

