%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc; close all;
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load Eigen_1_11.out;
load Eigen_1_18.out;
load Eigen_1_25.out;
load Eigen_1_32.out;
load Eigen_1_39.out;
load Eigen_1_46.out;

d1=Eigen_1_11;
d2=Eigen_1_18;
d3=Eigen_1_25;
d4=Eigen_1_32;
d5=Eigen_1_39;
d6=Eigen_1_46;

d0=zeros(length(d1),1);
sl=[0 1 2 3 4 5 6]'
d=[d0 d1 d2 d3 d4 d5 d6];

figure(1);  hold;
for i=1:length(d1);
%    figure(i); 
  
    plot(d(i,:),sl,'r-s'); 
    ylabel('Story Level');
    xlabel('Eigen Vector (Mode-1)');
zoom on;
end

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       DRIFT AND DISPLACEMENT INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

%fid = fopen ('Drift.out','w'); % 
%fprintf (fid,'%6.4f\n',dmax);
%fclose(fid)



