%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc; close all;
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
nstory=6;

load Eigen_1_11.eig;
load Eigen_1_18.eig;
load Eigen_1_25.eig;
load Eigen_1_32.eig;
load Eigen_1_39.eig;
load Eigen_1_46.eig;

d1=Eigen_1_11;
d2=Eigen_1_18;
d3=Eigen_1_25;
d4=Eigen_1_32;
d5=Eigen_1_39;
d6=Eigen_1_46;

d0=zeros(length(d1),1);
sl=[0 1 2 3 4 5 6]'
d=[d0 d1 d2 d3 d4 d5 d6];

figure(1);  subplot(1,2,1); plot([0,0],[0,nstory],'-'); hold;
for i=1:length(d1);
%    figure(i); 
  
    plot(d(i,:),sl,'r-s'); 
    ylabel('Story Level');
    xlabel('Eigen Vector (Mode-1)');
zoom on;
end
    subplot(1,2,2);
    plot([0,0],[0,nstory],'-'); hold;
    plot(d(1,:),sl,'r-s'); 
    plot(d(length(d),:),sl,'-o'); legend('','Initial','Final'); xlabel('Eigen Vector (Mode-1)');

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       DRIFT AND DISPLACEMENT INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

%fid = fopen ('Drift.eig','w'); % 
%fprintf (fid,'%6.4f\n',dmax);
%fclose(fid)



